# SPDX-FileCopyrightText: 2022-2024 Sarah Vaupel <sarah.vaupel@uniworx.de>, Gregor Kleen <gregor.kleen@ifi.lmu.de>,Sarah Vaupel <sarah.vaupel@ifi.lmu.de>,Steffen Jost <jost@tcs.ifi.lmu.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

flags:
  aeson:
    cffi: true
  unix:
    os-string: true
  directory:
    os-string: true

rebuild-ghc-options: true
#ghc-options:
#  "$everything": -fno-prof-auto

build:
  library-profiling: true
  executable-profiling: true

nix:
  packages: []
  pure: false
  shell-file: ./stack.nix
  add-gc-roots: false # TODO: `nix-shell --add-root` has been (un?)intentionally removed at some point (22.10 < nixpkgs <= 23.11), so `add-gc-roots = true` will not work as of right now. See https://github.com/commercialhaskell/stack/issues/6329 and https://github.com/NixOS/nix/issues/9300 for further details and updates.

extra-package-dbs: []

packages:
  - .

extra-deps:
 #- git: https://gitlab.uniworx.de/haskell/encoding.git
 #  commit: 22fc3bb14841d8d50997aa47f1be3852e666f787
  - git: https://gitlab.uniworx.de/haskell/memcached-binary.git
    commit: b7071df50bad3a251a544b984e4bf98fa09b8fae
  - git: https://gitlab.uniworx.de/haskell/conduit-resumablesink.git
    commit: cbea6159c2975d42f948525e03e12fc390da53c5
 #- git: https://github.com/jtdaugherty/HaskellNet.git
 #  commit: 5aa1f3b009253b02c4822005ac59ee208a10a347
 #- git: https://gitlab.uniworx.de/haskell/HaskellNet-SSL.git
 #  commit: 40393c938111ac78232dc2c7eec5edb4a22d03e8
 #- git: https://gitlab.uniworx.de/haskell/ldap-client.git
 #  commit: 01afaf599ba6f8a9d804c269e91d3190b249d3f0
  - git: https://gitlab.uniworx.de/haskell/serversession.git
    commit: fda3a000f9039e35e76e28f8e88c4942fac9fd69
    subdirs:
      - serversession
      - serversession-backend-acid-state
  - git: https://gitlab.uniworx.de/haskell/xss-sanitize.git
    commit: dc928c3a456074b8777603bea20e81937321777f
  - git: https://gitlab.uniworx.de/haskell/colonnade.git
    commit: f8170266ab25b533576e96715bedffc5aa4f19fa
    subdirs:
      - colonnade
  - git: https://gitlab.uniworx.de/haskell/minio-hs.git
    commit: fafc203e1bace1998264d1ce4340fb801e877b51
  - git: https://gitlab.uniworx.de/haskell/cryptoids.git
    commit: 130b0dcbf2b09ccdf387b50262f1efbbbf1819e3
    subdirs:
      - cryptoids-class
      - cryptoids-types
      - cryptoids
      - filepath-crypto
      - uuid-crypto
  - git: https://gitlab.uniworx.de/haskell/zip-stream.git
    commit: 843683d024f767de236f74d24a3348f69181a720
  - git: https://gitlab.uniworx.de/haskell/yesod.git
    commit: 9f8d26371d4760f8985e7bbe00c3ac16be1301bc
    subdirs:
      - yesod-core
      - yesod-static
      - yesod-persistent
      - yesod-newsfeed
      - yesod-form
      - yesod-form-multi
      - yesod-auth
      - yesod-auth-oauth
      - yesod-sitemap
      - yesod-test
      - yesod-bin
      - yesod
      - yesod-eventsource
      - yesod-websockets
  - git: https://gitlab.uniworx.de/haskell/cryptonite.git
    commit: f78fca2504bb767d632a3bac8dbbc23367eff0e9
 #- git: https://gitlab.uniworx.de/haskell/esqueleto.git
 #  commit: e18dd125c5ea26fa4e88bed079b61d8c1365ee37
  - git: https://gitlab.uniworx.de/haskell/servant-quickcheck.git
    commit: d83fd0ab2997e0d96d59651f9f4e629a67886725

  - git: https://github.com/gkleen/FastCDC.git
    commit: a3a874293305e1b1704eeae6fed0c6d38fe23827
    subdirs:
      - gearhash
      - fastcdc

  - deepseq-1.5.0.0
  - classy-prelude-yesod-1.5.0@sha256:8f7e183bdfd6d2ea9674284c4f285294ab086aff60d9be4e5d7d2f3c1a2b05b7,1330
  # - commonmark-0.1.1.2@sha256:c06ab05f0f224ab7982502a96e17952823a9b6dae8505fb35194b0baa9e2a975,3278
  # - commonmark-extensions-0.2.0.4@sha256:6a437bcfa3c757af4262b71336513619990eafb5cfdc33e57a499c93ad225608,3184
  # - commonmark-pandoc-0.2.0.1@sha256:529c6e2c6cabf61558b66a28123eafc1d90d3324be29819f59f024e430312c1f,1105
  - normaldistribution-1.1.0.3@sha256:2615b784c4112cbf6ffa0e2b55b76790290a9b9dff18a05d8c89aa374b213477,2160
  # - pandoc-2.11.1.1@sha256:33a2092e86dc6c8cb9041b5b9bb12faa08c8508954815c79f1a4dfe240f5b499,39390
  # - citeproc-0.1.1.1@sha256:c03ab98aeceda7770eec3eb76f5e95a98e4908ba7c1cb3b43ff482e876b17456,5395
  - pkcs7-1.0.0.1@sha256:b26e5181868667abbde3ce17f9a61cf705eb695da073cdf82e1f9dfd6cc11176,3594
  # - prometheus-metrics-ghc-1.0.1.1@sha256:d378a7186a967140fe0e09d325fe5e3bfd7b77a1123934b40f81fdfed2eacbdc,1233
  - system-locale-0.3.0.0@sha256:13b3982403d8ac8cc6138e68802be8d8e7cf7ebc4cbc7e47e99e3c0dd1be066a,1529
  - token-bucket-0.1.0.1@sha256:d8e85f2fc373939975e7ace7907baee177531ab6e43df94e330a2357e64a2d11,1899
  - unidecode-0.1.0.4@sha256:99581ee1ea334a4596a09ae3642e007808457c66893b587e965b31f15cbf8c4d,1144
  # - wai-middleware-prometheus-1.0.0@sha256:1625792914fb2139f005685be8ce519111451cfb854816e430fbf54af46238b4,1314
  - hlint-test-0.1.0.0@sha256:e427c0593433205fc629fb05b74c6b1deb1de72d1571f26142de008f0d5ee7a9,1814
  - servant-0.20.1
  - servant-server-0.20
  - servant-client-0.20
  - servant-client-core-0.20
  - servant-flatten-0.2@sha256:276896f7c5cdec5b8f8493f6205fded0cc602d050b58fdb09a6d7c85c3bb0837,1234
  - network-arbitrary-0.7.0.0@sha256:0cd381c80ae20c16048936edcdb018b1d9fbe2b6ac8c44e908df403a5c6d7cd5,2520
  # - process-extras-0.7.4@sha256:4e79289131415796c181889c4a226ebab7fc3b0d27b164f65e1aad123ae9b9e3,1759
  # - ListLike-4.7.4@sha256:613b2967df738010e8f6f6b7c47d615f6fe42081f68eba7f946d5de7552aa8a4,3778
  - saltine-0.2.0.0@sha256:2232a285ef326b0942bbcbfa6f465933a020f27e19552213e688fe371d66dddd,5198
  - persistent-postgresql-2.13.0.3@sha256:43384bf8ed9c931c673e6abb763c8811113d1b7004095faaae1eb42e2cd52d8f,3601
  - connection-0.3.1@sha256:3dcbf2f10d1677d339267d6dacb38a24913622edf42b05f75a73f381610ddbfc,1563
  - HaskellNet-SSL-0.3.4.4@sha256:6a1a3c6d3804e857d183e702214476a383628eac83eb4bcbc7d5c4b8a2e05bf3,1704
  - encoding-0.8.9@sha256:9a6c6d16f8d92e2fc379427a47831488aba03bb6f50d6fce3cf204775b41acd6,5362
  - ldap-client-0.4.2@sha256:2ddd8e7aa2dcbe9444775224e12abf4c42e0133b4d2d6b0d1324c4bd7d4169ca,2225
  - bv-little-1.3.2@sha256:a1bd7f3dbb8dae48f2a1e8bf5e7c98eaa8fced338cbb72b2ec3f74b1100eb3df,6288
  - Cabal-3.10.2.1@sha256:0f7cc73c7c0c18464ce249c97267a5188d796690a926d73b6e084a4612a66e32,12693
  - Cabal-syntax-3.10.2.0@sha256:b2235bd61763a826259805a34ba3538888fe06850fc6bc1712e625baedf07c16,7675
  - binary-0.8.9.1@sha256:81f468c1c75fd6535152ab69b2d32ac6cfcc03e345267b069abe4da56ec95801,6523
  - bytestring-0.12.0.2@sha256:9fc077ff5b7ed2246773c3ac4370ef8822e4834d4587522b68ae551a5968fb86,7891
  - containers-0.7@sha256:e9b5fdcc609159410d408c47e0be13663bb0b4a42a5183b52aa0ac9c99e1dfec,2668
  - parsec-3.1.17.0@sha256:6cf18e59d9f1c5b40385457b82ab679dc18d3c5bd3c2c67b2f94e1e8732e6624,5119
#  - pretty-1.1.3.6@sha256:e16ffc733e816cfc09e99cc7f2398805f1f4c872d238a6b81668b5527284b382,2482
  - pretty-1.1.3.6
  - process-1.6.18.0@sha256:69fbbca4151e1a6d1a5da41a1e17c254871675a4f2aed5213bbdfb10b5e52742,3148
  - time-1.12.2@sha256:88e8493d9130038d3b9968a2530a0900141cd3d938483c83dde56e12b875ebc8,6510
  - unix-2.8.5.0@sha256:633f15ef0bd50a16a7b5c5e86e6659fee6e4e211e098cc8bd0029f452bfcfddc,9808
  - directory-1.3.8.2@sha256:aa62af76daa1ed082933561a98ae342d4c3ef24bcca7197376ef605fee7d0949,3150
  - hashable-1.4.0.0
  - os-string-2.0.2@sha256:32fa47f8345a2c0662fb602fc42e4b674e41ec48079b68bdecb4b6f68032c24e,3259
  - filepath-1.5.0.0
  - text-1.2.5.0

resolver: lts-21.25
allow-newer: true
